Subject: Nomcom 2019-2020: Result of random selection process

From: NomCom Chair 2019 <[email-masked]>
Date: Sun, 07 Jul 2019 08:09:52 -0700

I am announcing the results of the randomness selection process for the 2019-2020 NomCom.  The results are as shown below.  Three people were disqualified due to company weighting per RFC 7437 which we are limiting to two (2) members from any one primary affiliation.  

#    First/Last Name   -  Affiliation  -  Selection Order
—————————————————————————————
57. Hannes Tschofenig - ARM Limited -  1
163. Wassim Haddad  -  Ericsson - 2
74. Jim Fenton  - Altmode Networks - 3
45. Eric McMurry - Oracle - 4
42. Donald Eastlake - Futurewei Technologies  - 5
85. Lars Eggert - Netapp  - 7
12. Bernie Hoeneisen  - Ucom.ch / pEp - 8
92. Linda Dunbar  - Futurewei Technologies - 10
75. Job Snijders - NTT - 11
97. Marie-Jose Montpetit - Triangle Video - 12

Disqualified selections are noted below:

17. Borje Ohlman - Ericsson (Maximum Number of 2 for Ericsson reached) - 6th in randomness order
29. Daniel Migault - Ericsson (Maximum Number of 2 for Ericsson reached) - 9th in randomness order
14. Bing (Remy) Liu - Huawei (Maximum Number of 2 for Futurewei or Huawei reached) - 12th in randomness order

With this announcement, a one week challenge period starts wherein the community may challenge the results to the NomCom Chair (in writing, email is fine).  See RFC 7437, Section 4.17 for details.

I will be contacting the selected volunteers to ensure they remain willing and available to serve.

Random selection data used:

EuroMillions Lottery Results
https://www.euro-millions.com/results
Friday, July 5, 2019 
Results: https://www.euro-millions.com/results/05-07-2019

Results: 2 9 20 34 42 6 9

MLB Major League Basement (“Score, Hits and  Errors"), Result of the Orioles vs. Blue Jays game scheduled for Friday, July 5, 2019 at 7:07 PM
https://www.mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909  

Results:   4 6 0 1 4 1

Ontario Lottery and Gaming Corporation Lotto 649
Saturday, July 6, 2019 Results:
https://lottery.olg.ca/en-ca/winning-numbers/lotto-649/winning-numbers?startDate=2019-07-05&endDate=2019-07-07
(7 Numbers including the bonus ball: 6 numbers between 1 and 49 and one bonus ball between 1 and 49)

Results: 10 28 38 39 40 43 45 

Powerball Lottery Results
http://www.powerball.com/games/powerball
Saturday, July 6, 2019

Results: 04 08 23 46 65 01

Victor Kuarsingh
victor at jvknet dot com
nomcom-chair-2019 at ietf dot org

---

From: Russ Housley <[email-masked]>
Date: Sun, 7 Jul 2019 11:58:04 -0400

Victor:

Please check your results.  I ran the random seeds, and I get the same set of numbers, but I do not think that Borje Ohlman should have been dropped.  Borje is the second person associated with Ericsson, not the third.

Russ

> On Jul 7, 2019, at 11:09 AM, NomCom Chair 2019 <[email-masked]> wrote:
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Loa Andersson <[email-masked]>
Date: Sun, 7 Jul 2019 18:15:59 +0200

Russ,

I thought so too,

ARM Limited, Altmode Networks, Oracle and Futurewei are not
Ericsson.

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Victor Kuarsingh <[email-masked]>
Date: Mon, 8 Jul 2019 08:34:12 +0200

Loa, All,

Upon a discussion with Scott who is serving as the previous chair (whom
fills in as chair should I not be able to continue),  I decided to include
both Scott (Ericsson), and Victor (Oracle) to be counted towards the
affiliation target.  The Chair is a very active member of the Nomcom
committee and therefore we felt that we would apply the rule to ourselves
as well.

Our goal is to ensure there is a fair process with as little bias as
possible.  With reference to Appendix B sec. 5 of RFC 7437, we decided to
include ourselves as part of the “Nominating committee” members for the
purposes of selection and max affiliation members.

Regards,

Victor Kuarsingh
Nomcom. Chair 2019 - 2020

On Sun, Jul 7, 2019, 6:16 PM Loa Andersson <[email-masked]> wrote:

> > Please check your results.  I ran the random seeds, and I get the same
> set of numbers, but I do not think that Borje Ohlman should have been
> dropped.  Borje is the second person associated with Ericsson, not the
> third.
> >
> > Russ
> >
> >
> >> I am announcing the results of the randomness selection process for the
> 2019-2020 NomCom.  The results are as shown below.  Three people were
> disqualified due to company weighting per RFC 7437 which we are limiting to
> two (2) members from any one primary affiliation.
> >>
> >> 14. Bing (Remy) Liu - Huawei (Maximum Number of 2 for Futurewei or
> Huawei reached) - 12th in randomness order
> >>
> >> With this announcement, a one week challenge period starts wherein the
> community may challenge the results to the NomCom Chair (in writing, email
> is fine).  See RFC 7437, Section 4.17 for details.
> >>
> >> MLB Major League Basement (“Score, Hits and  Errors"), Result of the
> Orioles vs. Blue Jays game scheduled for Friday, July 5, 2019 at 7:07 PM
> >>

---

From: Lou Berger <[email-masked]>
Date: Mon, 08 Jul 2019 06:35:51 -0400

Hi Victor,

FWIW I think you are setting precedent without necessity - only voting 
members choose, non-voting members advise.

Lou

----------

---

From: Eric Gray <[email-masked]>
Date: Mon, 8 Jul 2019 11:05:37 +0000

Fair warning, I am an Ericsson employee – hence my opinion may not be as objective as some.

The precedent you are setting is one that leads down a slippery slope.  Would you eliminate one of the selected members if the advisory position from IESG – for example – was filled by someone who made a 3rd from the same employer?

As it is, you exclude someone who works for the same company as another person who was the chair in a previous year.  And you did this twice in selecting 10 people.

The fact that this happened is an indication (at least to me) of the fact that a fair number of Ericsson folks were feeling motivated and responsible enough to volunteer and this precedent might be seen as discouraging that behavior.

--
Eric

From: ietf <[email-masked]> On Behalf Of Lou Berger
Sent: Monday, July 8, 2019 6:36 AM
To: Victor Kuarsingh <[email-masked]>; Loa Andersson <[email-masked]>
Cc: NomCom Chair 2019 <[email-masked]>; IETF <[email-masked]>
Subject: Re: Nomcom 2019-2020: Result of random selection process

Hi Victor,

FWIW I think you are setting precedent without necessity - only voting members choose, non-voting members advise.

Lou

________________________________

On July 8, 2019 2:35:15 AM Victor Kuarsingh <[email-masked]<mailto:[email-masked]>> wrote:
Loa, All,

Upon a discussion with Scott who is serving as the previous chair (whom fills in as chair should I not be able to continue),  I decided to include both Scott (Ericsson), and Victor (Oracle) to be counted towards the affiliation target.  The Chair is a very active member of the Nomcom committee and therefore we felt that we would apply the rule to ourselves as well.

Our goal is to ensure there is a fair process with as little bias as possible.  With reference to Appendix B sec. 5 of RFC 7437, we decided to include ourselves as part of the “Nominating committee” members for the purposes of selection and max affiliation members.

Regards,

Victor Kuarsingh

On Sun, Jul 7, 2019, 6:16 PM Loa Andersson <[email-masked]<mailto:[email-masked]>> wrote:
Russ,

I thought so too,

/Loa

On 2019-07-07 17:58, Russ Housley wrote:
>> On Jul 7, 2019, at 11:09 AM, NomCom Chair 2019 <[email-masked]<mailto:[email-masked]>> wrote:
>>
>> https://www...mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909<https://www.mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909>
>>
>> Results:   4 6 0 1 4 1
>>
>> [email-masked]<mailto:[email-masked]>

--

Loa Andersson                        email: [email-masked]<mailto:[email-masked]>
Senior MPLS Expert
Bronze Dragon Consulting             phone: +46 739 81 21 64

---

From: Ted Lemon <[email-masked]>
Date: Mon, 8 Jul 2019 07:34:17 -0400

I think complaining about this is silly. We have a large set of candidates. I’ve volunteered for non-combatant every year for a long time but never been selected. I see several people on nomcom who have served before. So to my mind, if we have a problem, it is not that we are being too careful to avoid CoI, but rather that the process isn’t producing enough diversity. 

Sent from my iPhone

> On Jul 8, 2019, at 7:05 AM, Eric Gray <[email-masked]> wrote:
> 
> >> https://www...mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909
> >>
> >> Results:   4 6 0 1 4 1
> >>

---

From: Eliot Lear <[email-masked]>
Date: Mon, 8 Jul 2019 13:35:18 +0200

Hi Lou

> On 8 Jul 2019, at 12:35, Lou Berger <[email-masked]> wrote:
> 
> Hi Victor,
> 

I agree.  The relevant operative text is Section 4.17 of RFC 7437:

   The Chair randomly selects the 10 voting volunteers from the pool of
   names of volunteers and announces the members of the nominating
   committee.

   No more than two volunteers with the same primary affiliation may be
   selected for the nominating committee.  The Chair reviews the primary
   affiliation of each volunteer selected by the method in turn.  If the
   primary affiliation for a volunteer is the same as two previously
   selected volunteers, that volunteer is removed from consideration and
   the method is repeated to identify the next eligible volunteer.

It’s clear from the procedure that the input is the voting volunteers, the method is the random selection method, and that the chair’s test for primary affiliation occurs at this point in the process.  Furthermore, a cornerstone of the process is that the only elements in the process one cannot determine in advance are the PRNG inputs, and by no means the selection policy.

I actually like Victor’s and Scott’s approach, as it would further limit influence of any one organization. However, if the rule is to change, then 7437 should first be updated.

Eliot

>> On Sun, Jul 7, 2019, 6:16 PM Loa Andersson <[email-masked] <mailto:[email-masked]>> wrote:
>> Russ,
>> 
>> I thought so too,
>> 
>> >> On Jul 7, 2019, at 11:09 AM, NomCom Chair 2019 <[email-masked] <mailto:[email-masked]>> wrote:
>> >>
>> >> https://www.euro-millions.com/results <https://www.euro-millions.com/results>
>> >> Friday, July 5, 2019
>> >> Results: https://www.euro-millions.com/results/05-07-2019 <https://www.euro-millions.com/results/05-07-2019>
>> >>
>> >> https://www...mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909 <https://www.mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909>
>> >>
>> >> Results:   4 6 0 1 4 1
>> >>
>> >> https://lottery.olg.ca/en-ca/winning-numbers/lotto-649/winning-numbers?startDate=2019-07-05&endDate=2019-07-07 <https://lottery.olg.ca/en-ca/winning-numbers/lotto-649/winning-numbers?startDate=2019-07-05&endDate=2019-07-07>
>> >> http://www.powerball.com/games/powerball <http://www.powerball.com/games/powerball>
>> >> Saturday, July 6, 2019
>> >>
>> >> [email-masked] <mailto:[email-masked]>
>> >> https://www.ietf.org/mailman/listinfo/ietf-announce <https://www.ietf.org/mailman/listinfo/ietf-announce>
>> >
>> 
>> --
>> 
>> 
>> Loa Andersson                        email: [email-masked] <mailto:[email-masked]>
>> Senior MPLS Expert

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 8 Jul 2019 12:38:45 +0000

> it is not that we are being too careful to avoid CoI, but rather that the process isn’t producing enough diversity.
YES!  Something like allowing additional appointed voting positions, or disqualifying anyone who has held an appointed position, or been on Nomcom in the past ‘n’ years should be considered if/when we revisit this issue.

---

From: Mary B <[email-masked]>
Date: Mon, 8 Jul 2019 07:45:18 -0500

I totally agree with Lou.  I don't think that affiliations of anyone other
than voting members are required to be considered.   I will also add that
in my opinion the chair is there to facilitate the process and isn't a key
decision maker when it comes to the appointments themselves.   Certainly,
each nomcom decides processes they will use themselves, but if they decide
a process where the chair can influence the outcome, I personally think
something is wrong from the outset.

Regards,
Mary
(Nomcom 2009-2010 chair)

On Mon, Jul 8, 2019 at 5:43 AM Lou Berger <[email-masked]> wrote:

> ------------------------------
>
>>> >> I am announcing the results of the randomness selection process for
>>> the 2019-2020 NomCom.  The results are as shown below.  Three people were
>>> >> With this announcement, a one week challenge period starts wherein
>>> the community may challenge the results to the NomCom Chair (in writing,
>>> email is fine).  See RFC 7437, Section 4.17 for details.
>>> >>
>>> <https://www.mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909>
>>> >>
>>> >> Results:   4 6 0 1 4 1
>>> >>

---

From: Ted Lemon <[email-masked]>
Date: Mon, 8 Jul 2019 08:59:50 -0400

On Jul 8, 2019, at 8:45 AM, Mary B <[email-masked]> wrote:
> I totally agree with Lou.  I don't think that affiliations of anyone other than voting members are required to be considered..   I will also add that in my opinion the chair is there to facilitate the process and isn't a key decision maker when it comes to the appointments themselves.   Certainly, each nomcom decides processes they will use themselves, but if they decide a process where the chair can influence the outcome, I personally think something is wrong from the outset.  

I don’t think it’s a problem that what I am about to say is true, but I do think that it’s somewhat strange to imagine that the chair of nomcom would not have a singnificant impact on the outcome of the nomcom process.  If they didn’t, why would we need a chair?  Why not just throw the n00bs in a room together and hope for the best?   Of course the chair influences the outcome.  This is unavoidable.

I assume that what you mean when you say the chair doesn’t influence the outcome is that the chair doesn’t influence the choices that are made by the voting members.  Again, the mere presence of the chair in the process can’t avoid affecting the choices that are made.  If the chair is any good, they are going to at the very least help the n00bs to figure out how to do the evaluation, and if this is done properly, it should have a good impact on the outcome of the process.

Of course, we would like to think that the chair will not have any influence on the process that could provide a way for a conflict of interest to manifest, but again the notion here is that any such conflict of interest would be deliberate.   But that’s not the only way that conflict of interest can manifest; indeed, it’s quite possible for people with the best intentions to have unconscious biases which manifest in ways that are difficult to notice, much less prevent.

I think it’s to Victor’s credit that he decided to take this into account.  Perhaps it does set a precedent, or perhaps it’s a one-time thing.   But I think it’s actually a good precedent.  Serving on nomcom is a duty and a privilege for those of us who want the IETF to succeed.  It is not something to which we are entitled.   If it were, I would be complaining a bit more vociferously about the fact that I’ve never been selected: the point is, the nomcom process doesn’t promise us all a chance to participate, and this is by design.

---

From: "Mehmet Ersue" <[email-masked]>
Date: Mon, 8 Jul 2019 15:12:10 +0200

Dear Victor, All,

the two roles of “voting” and “non-voting” (advising) members in Nomcom shouldn’t be mixed.

The Nomcom chair and the previous chair are non-voting members.

Their affiliation is irrelevant for the max-affiliation check of voting members.

The affiliation referred to in RFC 7437 App. B sec. 5 is meant to be the affiliation of selected nominating committee members, i.e. voting members.

There is no question or discussion on the affiliation of the advising members in RFC 7437.

Any change in RFC 7437 has to be discussed and published before using.

Regards,

Mehmet

Sent: Monday, July 8, 2019 12:36 PM

Hi Victor,

Lou

  _____  

On July 8, 2019 2:35:15 AM Victor Kuarsingh <[email-masked] <mailto:[email-masked]> > wrote:

Loa, All,

Regards,

Victor Kuarsingh

 

On Sun, Jul 7, 2019, 6:16 PM Loa Andersson <[email-masked] <mailto:[email-masked]> > wrote:

Russ,

I thought so too,

/Loa

On 2019-07-07 17:58, Russ Housley wrote:
>> On Jul 7, 2019, at 11:09 AM, NomCom Chair 2019 <[email-masked] <mailto:[email-masked]> > wrote:
>>
>> https://lottery.olg.ca/en-ca/winning-numbers/lotto-649/winning-numbers?startDate=2019-07-05 <https://lottery.olg.ca/en-ca/winning-numbers/lotto-649/winning-numbers?startDate=2019-07-05&endDate=2019-07-07> &endDate=2019-07-07

--

---

From: Richard Barnes <[email-masked]>
Date: Mon, 8 Jul 2019 09:21:11 -0400

A few quick points:

1. Thanks to Scott and Victor for being conscientious here.  It's clear
y'all are trying to do the right thing.

2. As Eliot points out, the spec is pretty clear that the affiliation
constraints apply only to the random selection, i.e., not to the chairs.
So Scott and Victor's decision to exclude Borje was wrong per the spec, and
should be reversed.

3. It might be a good idea to update the spec to incorporate Scott and
Victor's suggestion.  (FWIW, I think it is.)  But that discussion should
probably happen in a different thread.

On Mon, Jul 8, 2019 at 9:13 AM Mehmet Ersue <[email-masked]> wrote:

> The affiliation referred to in RFC 7437 App. B sec. 5 is meant to be the
> affiliation of selected nominating committee members, i.e. voting members.
>
> *From:* ietf <[email-masked]> *On Behalf Of *Lou Berger
> *Sent:* Monday, July 8, 2019 12:36 PM
> *To:* Victor Kuarsingh <[email-masked]>; Loa Andersson <[email-masked]>
> *Cc:* NomCom Chair 2019 <[email-masked]>; IETF <[email-masked]>
> *Subject:* Re: Nomcom 2019-2020: Result of random selection process
>
>
>
> Hi Victor,
>

---

From: Patrick McManus <[email-masked]>
Date: Mon, 8 Jul 2019 09:35:14 -0400

On Mon, Jul 8, 2019 at 7:36 AM Eliot Lear <[email-masked]> wrote:

> .  Furthermore, a cornerstone of the process is that the only elements in
> the process one cannot determine in advance are the PRNG inputs, and by no
> means the selection policy.
>
>
indeed. That's the most important thing here.

---

From: Jari Arkko <[email-masked]>
Date: Mon, 8 Jul 2019 16:41:16 +0300

> 1. Thanks to Scott and Victor for being conscientious here.  It's clear y'all are trying to do the right thing.

+1000 for this

And they are also volunteers who burn a lot of their own time on this. Thank you!

As for the rest, I’m certainly happy with any outcome. At first I wondered why the result was what it was, then as Victor explained the rationale, it made sense, and now we have some discussion of what the spec actually says. We will figure that out, I’m sure. 

(But, if we need a change in the spec for some reason, I did want to say that there’s probably some things to consider, and that thinking will take time. So whatever we do for this Nomcom is perhaps something that shouldn’t be considered as a binding precedent, but rather the solution for this nomcom, lets take the time to process the long term answer fully, rather than try to have that answer before this nomcom gets seated. The need to start work soon…)

Jari

---

From: "Mehmet Ersue" <[email-masked]>
Date: Mon, 8 Jul 2019 16:03:05 +0200

> Certainly, each nomcom decides processes they will use themselves

Indeed, the Nomcom committee as a whole can decide on any process changes for Nomcom.

However, Nomcom chair himself cannot change any process defined in RFC 7437.

Cheers,

Mehmet

(two times Nomcom voting member)

From: ietf <[email-masked]> On Behalf Of Mary B
Sent: Monday, July 8, 2019 2:45 PM
To: Lou Berger <[email-masked]>
Cc: NomCom Chair 2019 <[email-masked]>; IETF <[email-masked]>
Subject: Re: Nomcom 2019-2020: Result of random selection process

Regards, 

Mary 

(Nomcom 2009-2010 chair)

On Mon, Jul 8, 2019 at 5:43 AM Lou Berger <[email-masked] <mailto:[email-masked]> > wrote:

Hi Victor,

Lou

  _____  

Loa, All,

Regards,

Victor Kuarsingh

 

Russ,

I thought so too,

/Loa

On 2019-07-07 17:58, Russ Housley wrote:
>> https://www....mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909 <https://www.mlb.com/gameday/orioles-vs-blue-jays/2019/07/05/566909#game_state=final,lock_state=final,game_tab=box,game=566909> 
>>
>> Results:   4 6 0 1 4 1
>>

--

---

From: Bob Hinden <[email-masked]>
Date: Mon, 8 Jul 2019 07:24:32 -0700

> On Jul 8, 2019, at 4:35 AM, Eliot Lear <[email-masked]> wrote:
> 
> Hi Lou
> 

I agree, this is clearly called out in RFC7437 and the NomCom should follow it.

If RFC7437 is revised to include this, then that effort should consider the liaisons affiliations as well, not just the current and past chairs.

Bob

---

From: Russ Housley <[email-masked]>
Date: Mon, 8 Jul 2019 10:30:21 -0400

> If RFC7437 is revised to include this, then that effort should consider the liaisons affiliations as well, not just the current and past chairs.

Are the liaisons known from all bodies before the voting members are selected.  I know that they have not in the past.

Russ

---

From: Mary B <[email-masked]>
Date: Mon, 8 Jul 2019 09:32:52 -0500

Yes, I did mean the chair does not influence the choices.  And,
facilitating the process was the most general way I could categorize all
their responsibilities which definitely have impact on the overall
outcome.   I surely know what all that involves.  But, I personally do not
think the chair's opinion should unduly influence the outcome.  I think one
thing being missed here is that the most important aspect of the decision
making is that it is based on community feedback and the voting members
should strive to make that the primary input for their decision making.

Personally, I think we pick someone as Nomcom chair who has the trust of
the community to do the right thing.   So, I don't at all think there's a
concern with affiliation.  Although, as I type this, I do think we've had
past Nomcoms where the chair's affiliation has influenced the outcome.  So,
I'll go along with maybe this extra caution being reasonable.

Regards,
Mary.

On Mon, Jul 8, 2019 at 7:59 AM Ted Lemon <[email-masked]> wrote:

> than voting members are required to be considered..   I will also add that
> I don’t think it’s a problem that what I am about to say is true, but I do
> think that it’s somewhat strange to imagine that the chair of nomcom would
> not have a singnificant impact on the outcome of the nomcom process.  If
> they didn’t, why would we need a chair?  Why not just throw the n00bs in a
> room together and hope for the best?   Of *course* the chair influences
> the outcome.  This is unavoidable.
>
> I assume that what you mean when you say the chair doesn’t influence the
> outcome is that the chair doesn’t influence the choices that are made by
> the voting members.  Again, the mere presence of the chair in the process
> can’t avoid affecting the choices that are made.  If the chair is any good,
> they are going to at the very least help the n00bs to figure out how to do
> the evaluation, and if this is done properly, it should have a good impact
> on the outcome of the process.
>
> Of course, we would like to think that the chair will not have any
> influence on the process that could provide a way for a conflict of
> interest to manifest, but again the notion here is that any such conflict
> of interest would be deliberate.   But that’s not the only way that
> conflict of interest can manifest; indeed, it’s quite possible for people
> with the best intentions to have unconscious biases which manifest in ways
> that are difficult to notice, much less prevent.
>
> I think it’s to Victor’s credit that he decided to take this into
> account.  Perhaps it does set a precedent, or perhaps it’s a one-time
> thing.   But I think it’s actually a good precedent.  Serving on nomcom is
> a duty and a privilege for those of us who want the IETF to succeed.  It is
> not something to which we are entitled.   If it were, I would be
> complaining a bit more vociferously about the fact that I’ve never been
> selected: the point is, the nomcom process doesn’t promise us all a chance
> to participate, and this is by design.
>
>

---

From: Jari Arkko <[email-masked]>
Date: Mon, 8 Jul 2019 17:50:20 +0300

Changing the subject line for everyone’s benefit, if we are discussing RFC revisions :-)

> Are the liaisons known from all bodies before the voting members are selected.  I know that they have not in the past.

Russ’ point is one of those considerations to take into account if we make a change. 

But in addition, I think there’s a strategic question of how far one wants the needle to go. What’s the right answer? I have not been in Nomcom, but I think there’s a difference in the roles of liaisons, voting members, and chairs. Is the right answer to consider just the voting members, voting members + chair, voting members + chair + ex chair, or all of that + liaisons? It is not clear to _me_ what the right answer is, but it might be worth discussing that through before worrying too much about the mechanics and ordering of events.

Jari

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 8 Jul 2019 14:55:53 +0000

I have to admit that this kerfuffle is my fault.  I'm sorry I haven't replied earlier but had a number of issues with traveling back from Geneva (long story - not very interesting).

So.  I read the following sections of RFC 7437 (4.17) and Appendix B
Section 4.17 of RFC 7437:
   The Chair randomly selects the 10 voting volunteers from the pool of
   names of volunteers and announces the members of the nominating
   committee.

However it says in Appendix B:
       The number of nominating committee members with the same primary
       affiliation is limited in order to avoid the appearance of
       improper bias in choosing the leadership of the IETF.  Rather
       than defining precise rules for how to define "affiliation", the
       IETF community depends on the honor and integrity of the
       participants to make the process work.

In Appendix B it says the number of nominating committee members.  Nominating committee members include both voting and non-voting members.  There is this distinction because there are times when only voting members vote (on slates for example) and times when the entire nominating committee needs to vote (on processes etc).  So, I interpreted this to mean that the NomCom Chair should be sensitive to the affiliation of all nominating committee members.  I check the previous 5 years of nomcoms and (unless I missed something) there was no nomcom that had more that two people from the same affiliation on the nominating committee ( I will check again to be sure).

I understand what the community is saying about how 4.17 is interpreted.  But 4.17 states in the first sentence of the second paragraph that it is talking about the nominating committee.  The nominating committee is more than just the voting members.  However, following 4.17 to the letter would have a second Ericsson person as a voting member.  As stated before the nominating committee is more than voting members, so I thought it prudent to err toward diversity.  I can understand how section 4.17 can be seen as applying to only voting members, but the words say "nominating committee" not "voting members of the nominating committee".

I'm not the chair this year and I apologize for causing the confusion.  I just wanted to explain my rationale for making the recommendation I did.  I certainly am not trying to change the rules, but provide for the most fair and diverse committee based on how I interpret the rules.

The final decision is with Victor.  I will support whatever decision he makes.  

Regards,
-scott.

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Russ Housley
Sent: Monday, July 8, 2019 10:30 AM
To: Bob Hinden <[email-masked]>
Cc: NomCom Chair 2019 <[email-masked]>; IETF <[email-masked]>
Subject: Re: Nomcom 2019-2020: Result of random selection process

Russ

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 8 Jul 2019 15:10:57 +0000

I think (as the instigator of this issue) that..

First off:  Need two terms clearly defined:

Voting Volunteers
Non-Voting Volunteers

Voting Volunteers are already defined in 4.11.
Non-Voting Volunteers are not precisely defined as a category/term but would include: NomCom Chair, Past Chair, Advisors, and Liaisons.

The Nominating Committee is Voting Volunteers + Non-Voting Volunteers.

So.  For the affiliation question.

Current (the community seems to favor) that 4.17 is talking only about Voting Volunteers not the whole Nominating Committee.  So, section 4.17 should say that if that is what is desired.

Using that interpretation, there currently is no hard number on affiliation affecting the Non-Voting Volunteers.  All that the current RFC has is Appendix B #5 (Oral Tradition) that "The number of nominating committee members with the same primary affiliation is limited in order to avoid the appearance of improper bias in choosing the leadership of the IETF."  So if that sentence is only talking about Voting members, then it should say that clearly.  Otherwise it is up to interpretation because some feel (well maybe just me) that when talking about "nominating committee members" we mean all nominating committee members not just voting members.

So.  Just a bit of tweaking to clearly indicate what the community wants is in order.  Keep in mind that (I believe) we are arguing about this because we care about a fair playing field and all want the best results for the community.

Regards,
-scott.

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Jari Arkko
Sent: Monday, July 8, 2019 10:50 AM
To: Russ Housley <[email-masked]>; Bob Hinden <[email-masked]>
Cc: IETF <[email-masked]>
Subject: Future adjustment of nomcom company limits (Was: Re: Nomcom 2019-2020: Result of random selection process)

Jari

---

From: "Pete Resnick" <[email-masked]>
Date: Mon, 08 Jul 2019 10:24:33 -0500

Victor,

Just to confirm publicly: Do you take the messages in this thread to be 
a challenge made in writing (as per 7437 section 4.17), or do you need 
someone to formally do that?

pr

On 8 Jul 2019, at 1:34, Victor Kuarsingh wrote:

>>>> the
>>>> 17. Borje Ohlman - Ericsson (Maximum Number of 2 for Ericsson 
>>>> reached)
>> - 6th in randomness order
>>>> the
>>>> (7 Numbers including the bonus ball: 6 numbers between 1 and 49 and 
>>>> one
>> bonus ball between 1 and 49)
>>>>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 8 Jul 2019 11:38:54 -0400

I agree that 7437 should be updated to make its language more precise.

However, we still need to agree on exactly what it should say. :-)

The past chair should be exempt from affecting affiliation limits, because
the past chair is exactly that and cannot be replaced by someone else as a
result of their affiliation. Including them in the affiliation limits is
unfair to the past chair's affiliated organization.

Liaisons are chosen by the organization sending the liaison for their
expertise in helping to inform the Nomcom about the duties of their
particular organization. Excluding possible liaisons due to their
affiliation places an undue burden on the sending organization.

Advisors other than the past chair are chosen by the Nomcom itself. It
should be up to each Nomcom to decide whether or not affiliation is
important when making the appointment.

So that just leaves the Chair. It's been noted that a chair can have
influence on the final result, even if they don't have a vote, so the chair
should be included in the limit calculation.

Just my two cents.

Cheers,
Andy

On Mon, Jul 8, 2019 at 11:12 AM Scott Mansfield <
[email-masked]> wrote:

> Non-Voting Volunteers are not precisely defined as a category/term but
> would include: NomCom Chair, Past Chair, Advisors, and Liaisons.
>
> Current (the community seems to favor) that 4.17 is talking only about
> Voting Volunteers not the whole Nominating Committee.  So, section 4.17
> should say that if that is what is desired.
>
> Using that interpretation, there currently is no hard number on
> affiliation affecting the Non-Voting Volunteers.  All that the current RFC
> has is Appendix B #5 (Oral Tradition) that "The number of nominating
> committee members with the same primary affiliation is limited in order to
> avoid the appearance of improper bias in choosing the leadership of the
> IETF."  So if that sentence is only talking about Voting members, then it
> should say that clearly.  Otherwise it is up to interpretation because some
> feel (well maybe just me) that when talking about "nominating committee
> members" we mean all nominating committee members not just voting members.
>
> So.  Just a bit of tweaking to clearly indicate what the community wants
> is in order.  Keep in mind that (I believe) we are arguing about this
> because we care about a fair playing field and all want the best results
> for the community.
>
> Regards,
> -scott.
>
>
>
> Subject: Future adjustment of nomcom company limits (Was: Re: Nomcom
> 2019-2020: Result of random selection process)
>
> >> If RFC7437 is revised to include this, then that effort should consider
> the liaisons affiliations as well, not just the current and past chairs.
> >
> > Are the liaisons known from all bodies before the voting members are
> selected.  I know that they have not in the past.
>
> But in addition, I think there’s a strategic question of how far one wants
> the needle to go. What’s the right answer? I have not been in Nomcom, but I
> think there’s a difference in the roles of liaisons, voting members, and
> chairs. Is the right answer to consider just the voting members, voting
> members + chair, voting members + chair + ex chair, or all of that +
> liaisons? It is not clear to _me_ what the right answer is, but it might be
> worth discussing that through before worrying too much about the mechanics
> and ordering of events.
>
> Jari
>
>

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 8 Jul 2019 15:45:14 +0000

Thanks Mehmet,

This was the crux of my misinterpretation.  Clarifying when “nominating committee” means the whole nominating committee and when it means only the voting members of the nominating committee would be a great addition to the updated RFC.  Because there are (I counted) 155 uses of the term “nominating committee” and I would say in most places “nominating committee” means the whole committee not just the voting members.

I appreciate the community keeping us on top of our game.  It is rewarding when the community voices their opinions and works together to ensure a fair outcome.

Regards,

-scott.

From: ietf <[email-masked]> On Behalf Of Mehmet Ersue
Sent: Monday, July 8, 2019 9:12 AM
To: 'Lou Berger' <[email-masked]>; 'Victor Kuarsingh' <[email-masked]>; 'Loa Andersson' <[email-masked]>
Cc: 'NomCom Chair 2019' <[email-masked]>; 'IETF' <[email-masked]>
Subject: RE: Nomcom 2019-2020: Result of random selection process

Dear Victor, All,

Regards,

Mehmet

From: ietf <[email-masked] <mailto:[email-masked]> > On Behalf Of Lou Berger
Sent: Monday, July 8, 2019 12:36 PM
To: Victor Kuarsingh <[email-masked] <mailto:[email-masked]> >; Loa Andersson <[email-masked] <mailto:[email-masked]> >
Cc: NomCom Chair 2019 <[email-masked] <mailto:[email-masked]> >; IETF <[email-masked] <mailto:[email-masked]> >
Subject: Re: Nomcom 2019-2020: Result of random selection process

Hi Victor,

Lou

  _____  

Loa, All,

Regards,

Victor Kuarsingh

 

Russ,

I thought so too,

/Loa

--

---

From: John C Klensin <[email-masked]>
Date: Mon, 08 Jul 2019 11:51:00 -0400

--On Monday, July 8, 2019 15:10 +0000 Scott Mansfield
<[email-masked]> wrote:

>...
> Current (the community seems to favor) that 4.17 is talking
> only about Voting Volunteers not the whole Nominating
> Committee.  So, section 4.17 should say that if that is what
> is desired.
>...

Scott, 

Please don't assume this.  First, inferring what the community
seems to favor from this thread assumes that the community is
equal to (or is adequately represented by) the sum of the people
who have few enough technical commitments that they are able to
prioritize this discussion, especially given today's posting
deadline,  people who consider Nomcom issues sufficiently
important that they prioritized them over almost everything
else, the people who will always prioritize procedural work and
debates over other IETF activities, and people with too much
time on their hands.   If those groups, together, represent even
a majority of IETF participants, I think it would indicate that
we are in big trouble.

In particular, many of us have been concerned for years that, as
the number of liaisons rises and the intrinsic knowledge by
voting members of candidates and roles drops, the opportunity
for the appearance that the former (and the advice they give)
are influencing choices  toward "more of the same", retention of
incumbents, or seats that "belong to" particular companies goes
up as well.  

It has been almost impossible to get a real discussion of these
types of issues over the years.  Some have suggested, perhaps
unfairly, that the IESG has been reluctant to have such
discussions because, after all, the Nomcom process must be
working well because it selected them.

I think caution and conservatism are in order.

    john

---

From: Ted Lemon <[email-masked]>
Date: Mon, 8 Jul 2019 12:46:10 -0400

On Jul 8, 2019, at 11:38 AM, Andrew G. Malis <[email-masked]> wrote:
> The past chair should be exempt from affecting affiliation limits, because the past chair is exactly that and cannot be replaced by someone else as a result of their affiliation. Including them in the affiliation limits is unfair to the past chair's affiliated organization.

What we are trying to do is avoid unfairness that would come out of overrepresentation, not ensure that everyone is represented.   So no, it is absolutely not unfair if this happens.   Whether we should make that the process is a good question, but if we do not make it the process, it should not be based on the theory that it might unfairly impact some employer’s representation on nomcom.

---

From: Michael Richardson <[email-masked]>
Date: Mon, 08 Jul 2019 12:52:51 -0400

> Non-Voting Volunteers

These were always poor words.

On non-selecting votes (such as when to have a meeting, whether to approve a
questionnaire, approving voting proceedures, whether to adjourne a meeting,
etc), all committee members have usually voted.

Better words would be:

    selecting volunteers
    non-selecting volunteers

[nomcom chair 2014/2015]

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Michael Richardson <[email-masked]>
Date: Mon, 08 Jul 2019 12:55:11 -0400

Scott Mansfield <[email-masked]> wrote:
    > I have to admit that this kerfuffle is my fault.  I'm sorry I haven't
    > replied earlier but had a number of issues with traveling back from
    > Geneva (long story - not very interesting).

I see how you got to this situation.

    > In Appendix B it says the number of nominating committee members.
    > Nominating committee members include both voting and non-voting
    > members.  There is this distinction because there are times when only
    > voting members vote (on slates for example) and times when the entire
    > nominating committee needs to vote (on processes etc).  So, I
    > interpreted this to mean that the NomCom Chair should be sensitive to
    > the affiliation of all nominating committee members.  I check the
    > previous 5 years of nomcoms and (unless I missed something) there was
    > no nomcom that had more that two people from the same affiliation on
    > the nominating committee ( I will check again to be sure).

Okay, but I did not look at the non-selecting (non-voting) members when I did
my elimination, and I suspect that others did not either.  It just happened
that this occured.

---

From: Ted Hardie <[email-masked]>
Date: Mon, 8 Jul 2019 10:02:58 -0700

Hi Scott, Victor,

Forgive the top posting.  Thanks for these explanations of the logic
applied here.  Generally, I think your idea is a good one and would help
promote diversity.  However, the current document is pretty clear on what
the exact steps are in the process, and applying this logic resulted in a
different set.  Since this interpretation of the rules was not announced
until after the algorithm was run, I believe the correct thing to do here
is likely to take the group according to the current algorithm and document
the proposed changes  for future NomComs.

Just my personal read of the situation,

regards,

Ted

On Mon, Jul 8, 2019 at 7:57 AM Scott Mansfield <[email-masked]>
wrote:

> replied earlier but had a number of issues with traveling back from Geneva
> (long story - not very interesting).
>
> Nominating committee members include both voting and non-voting members.
> There is this distinction because there are times when only voting members
> vote (on slates for example) and times when the entire nominating committee
> needs to vote (on processes etc).  So, I interpreted this to mean that the
> NomCom Chair should be sensitive to the affiliation of all nominating
> committee members.  I check the previous 5 years of nomcoms and (unless I
> missed something) there was no nomcom that had more that two people from
> the same affiliation on the nominating committee ( I will check again to be
> sure).
>
> I understand what the community is saying about how 4.17 is interpreted.
> But 4.17 states in the first sentence of the second paragraph that it is
> talking about the nominating committee.  The nominating committee is more
> than just the voting members.  However, following 4.17 to the letter would
> have a second Ericsson person as a voting member.  As stated before the
> nominating committee is more than voting members, so I thought it prudent
> to err toward diversity.  I can understand how section 4.17 can be seen as
> applying to only voting members, but the words say "nominating committee"
> not "voting members of the nominating committee".
>
> I'm not the chair this year and I apologize for causing the confusion.  I
> just wanted to explain my rationale for making the recommendation I did.  I
> certainly am not trying to change the rules, but provide for the most fair
> and diverse committee based on how I interpret the rules.
>
> >> It’s clear from the procedure that the input is the voting volunteers,
> the method is the random selection method, and that the chair’s test for
> primary affiliation occurs at this point in the process.  Furthermore, a
> cornerstone of the process is that the only elements in the process one
> cannot determine in advance are the PRNG inputs, and by no means the
> selection policy.
> >

---

From: Donald Eastlake <[email-masked]>
Date: Mon, 8 Jul 2019 13:27:48 -0400

Hi Scott,

> First off:  Need two terms clearly defined:

I do not think that is correct wording. There are the volunteers to
become voting members. There is no guarantee that anyone else is a
"volunteer". Everyone else is appointed. Volunteers have all stepped
forward. While it is possible that in some cases someone has expressed
interest in doing the extra work of the non-voting appointed
positions, I think that in most cases they get pointed at and they
don't step back fast enough. It's very different.

I just looked up all occurrences of volunteer in RFC 7437 and there
are only two uses: those who volunteer for voting membership in the
nomcom and those who volunteer for positions for which the nomcom is
finding candidates. I cannot find any case in RFC 7437 where a
non-voting member of the nomcom is referred to as a volunteer.

> Current (the community seems to favor) that 4.17 is talking only about Voting Volunteers not the whole Nominating Committee.  So, section 4.17 should say that if that is what is desired.

Anything can be made clearer but I think 4.17 of RFC 7437 does say
that. Any ambiguity in the first sentence of the 2nd paragraph of 4.17
is fixed by the algorithmic specification in the rest of the
paragraph:

      The Chair reviews the primary

That's the normative specification. "method" has been specified in the
previous section as the method of selecting from among those
volunteering to be voters. The word volunteer is not used anywhere in
RC 7437 to refer to the appointed members of the nomcom. Informative
text in an Oral Tradition appendix does not override this. Later in
RFC 7437 it says

   A change in the primary affiliation of a voting volunteer during the
   term of the nominating committee is not a cause to request the recall
   of that volunteer, even if the change would result in more than two
   voting volunteers with the same affiliation.

which I think further clarifies that the limit is intended to apply
only to voting members of the nomcom.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked]

---

From: Melinda Shore <[email-masked]>
Date: Mon, 8 Jul 2019 10:17:35 -0800

> etc), all committee members have usually voted.

I can't believe we're bikeshedding this, except of course I can.  Allow
me to suggest
	selecting members
	non-selecting members

[IAB liaison 2019]

Melinda

---

From: Victor Kuarsingh <[email-masked]>
Date: Mon, 8 Jul 2019 14:21:31 -0400

Dear IETF Community,

The feedback has been outstanding and I appreciate all the input in this
matter (re: selection considerations with respect to Chair and past chair
primary affiliation and selection elimination).   Although the intention
was to help drive the maximum amount of non-bias and fairness with the
process, the following seems clear.

1). The wording within RFC7437 is such that the primary affiliation
elimination should only apply to the 10 selected voting volunteers.  This
is valid even in light of Appendix B, Point 5.

2). Although there may be merit in applying the elimination rule with
consideration of the Chair and Past Chair in terms of their primary
affiliation (in light of the Chair's interaction within the Nomcom
process), such a posture may drive a precedent.  With that in mind, such a
decision should be driven by future community updates to RFC7437.

With this in mind, it would be appropriate to update the list of selected
members (based on the published random results on July 7th 2019) without
consideration of the primary affiliation of the Chair or Past Chair.  I
will send out an updated announcement soon.

Once again, I think the discussion of this matter was quite valuable, has
raised valid points, and I appreciate all the feedback from the community
members.

regards,

Victor Kuarsingh
Nomcom Chair 2019-2020

On Mon, Jul 8, 2019 at 1:03 PM Ted Hardie <[email-masked]> wrote:

> On Mon, Jul 8, 2019 at 7:57 AM Scott Mansfield <
>> >>> FWIW I think you are setting precedent without necessity - only
>> voting members choose, non-voting members advise.
>> >>>
>> >>

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 8 Jul 2019 18:49:12 +0000

Peace.

Victor has made his decision and sent it to the list.  I accept it and thank the community for being passionate about process.

Regards,
-scott.

-----Original Message-----
From: Donald Eastlake <[email-masked]> 
Sent: Monday, July 8, 2019 1:28 PM
To: Scott Mansfield <[email-masked]>
Cc: Jari Arkko <[email-masked]>; Russ Housley <[email-masked]>; Bob Hinden <[email-masked]>; IETF <[email-masked]>
Subject: Re: Future adjustment of nomcom company limits (Was: Re: Nomcom 2019-2020: Result of random selection process)

Hi Scott,

> First off:  Need two terms clearly defined:

I do not think that is correct wording. There are the volunteers to become voting members. There is no guarantee that anyone else is a "volunteer". Everyone else is appointed. Volunteers have all stepped forward. While it is possible that in some cases someone has expressed interest in doing the extra work of the non-voting appointed positions, I think that in most cases they get pointed at and they don't step back fast enough. It's very different.

I just looked up all occurrences of volunteer in RFC 7437 and there are only two uses: those who volunteer for voting membership in the nomcom and those who volunteer for positions for which the nomcom is finding candidates. I cannot find any case in RFC 7437 where a non-voting member of the nomcom is referred to as a volunteer.

> Current (the community seems to favor) that 4.17 is talking only about Voting Volunteers not the whole Nominating Committee.  So, section 4.17 should say that if that is what is desired.

Anything can be made clearer but I think 4.17 of RFC 7437 does say that. Any ambiguity in the first sentence of the 2nd paragraph of 4.17 is fixed by the algorithmic specification in the rest of the
paragraph:

That's the normative specification. "method" has been specified in the previous section as the method of selecting from among those volunteering to be voters. The word volunteer is not used anywhere in RC 7437 to refer to the appointed members of the nomcom. Informative text in an Oral Tradition appendix does not override this. Later in RFC 7437 it says

which I think further clarifies that the limit is intended to apply only to voting members of the nomcom.

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA  [email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 9 Jul 2019 11:12:29 +1200

> etc), all committee members have usually voted.

It rather shocks me that you include "whether to approve a questionnaire,
approving voting proceedures" here. It seems to me that for those decisions,
the liaisons should sit back. (They would certainly provide input to the
questionnaires, of course.)

   Brian (once a liaison to NomCom, many years ago)

---

From: Melinda Shore <[email-masked]>
Date: Mon, 8 Jul 2019 15:30:28 -0800

> questionnaires, of course.)

That was the case in the last cycle, and it was quite clear
that it must be the case.

Melinda

-- 
Melinda Shore
[email-masked]

Software longa, hardware brevis

---

From: Mike StJohns <[email-masked]>
Date: Mon, 8 Jul 2019 21:33:45 -0400

Sent from my iPad

> On Jul 8, 2019, at 19:30, Melinda Shore <[email-masked]> wrote:
> 

Same for my last go around about 3 years ago.

---

From: Michael Richardson <[email-masked]>
Date: Tue, 09 Jul 2019 09:18:51 -0400

> Same for my last go around about 3 years ago.

I've been involved 5 times, and liasons had a vote as to when the meetings
would be each time.  So this definitely needs clarification.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Scott Mansfield <[email-masked]>
Date: Tue, 9 Jul 2019 13:37:17 +0000

Brian,

Here are the sections of RFC 7347 used to determine who votes for what and
what constitutes quorum...

5.5.  Voting Mechanism

   The Chair must establish a voting mechanism.

   The committee must be able to objectively determine when a decision
   has been made during its deliberations.  The criteria for determining
   closure must be established and known to all members of the
   nominating committee.

5.6.  Voting Quorum

   At least a quorum of committee members must participate in a vote.

   Only voting volunteers vote on a candidate selection.  For a
   candidate selection vote, a quorum is comprised of at least seven of
   the voting volunteers.

   At all other times, a quorum is present if at least 75% of the
   nominating committee members are participating.

In section 5.6 - it says that Only voting volunteers vote on a candidate
selection.  "At all other times" quorum is 75% of the nominating committee
members.  So, I took "nominating committee members" to mean the voting
members, chair, past-chair, advisors, and liaisons.  So anytime a decision
needs to be taken that requires a vote that is NOT a candidate selection
vote, is voted on by the whole team.

In section 5.6, I view "voting volunteers" as a subset of the 'nominating
committee members" that can vote on candidate selection.  "At all other
times" it takes the full committee.

Hope this clears up what I said about voting.

Regards,
-scott.

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Mike StJohns
Sent: Monday, July 8, 2019 9:34 PM
To: Melinda Shore <[email-masked]>
Cc: [email-masked]
Subject: Re: Future adjustment of nomcom company limits (Was: Re: Nomcom

Sent from my iPad

>> It rather shocks me that you include "whether to approve a 
>> questionnaire, approving voting proceedures" here. It seems to me 
>> that for those decisions, the liaisons should sit back. (They would 
>> certainly provide input to the questionnaires, of course.)
> 
> That was the case in the last cycle, and it was quite clear that it 
> must be the case.

---

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 9 Jul 2019 14:33:33 +0000

Recommendation: take major 7437 update discussion over to [email-masked]<mailto:[email-masked]>.

From: ietf <[email-masked]> on behalf of "Andrew G. Malis" <[email-masked]>
Date: Monday, July 8, 2019 at 11:40 AM
To: Scott Mansfield <[email-masked]>
Cc: IETF <[email-masked]>, Bob Hinden <[email-masked]>
Subject: Re: Future adjustment of nomcom company limits (Was: Re: Nomcom 2019-2020: Result of random selection process)

Liaisons are chosen by the organization sending the liaison for their expertise in helping to inform the Nomcom about the duties of their particular organization. Excluding possible liaisons due to their affiliation places an undue burden on the sending organization.

Advisors other than the past chair are chosen by the Nomcom itself. It should be up to each Nomcom to decide whether or not affiliation is important when making the appointment.

So that just leaves the Chair. It's been noted that a chair can have influence on the final result, even if they don't have a vote, so the chair should be included in the limit calculation.

Just my two cents.

Cheers,
Andy

On Mon, Jul 8, 2019 at 11:12 AM Scott Mansfield <[email-masked]<mailto:[email-masked]>> wrote:
I think (as the instigator of this issue) that..

Voting Volunteers
Non-Voting Volunteers

Regards,
-scott.

-----Original Message-----
From: ietf <[email-masked]<mailto:[email-masked]>> On Behalf Of Jari Arkko
Sent: Monday, July 8, 2019 10:50 AM
To: Russ Housley <[email-masked]<mailto:[email-masked]>>; Bob Hinden <[email-masked]<mailto:[email-masked]>>
Cc: IETF <[email-masked]<mailto:[email-masked]>>
Subject: Future adjustment of nomcom company limits (Was: Re: Nomcom 2019-2020: Result of random selection process)

Jari

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 9 Jul 2019 10:59:45 -0400

This thread is demonstrating a key weakness in defining any process with
security concerns on the basis of random drawing. The chance of hitting
this particular corner case was really small.

It doesn't much matter here but it could well matter in another
circumstance.

On Mon, Jul 8, 2019 at 2:23 PM Victor Kuarsingh <[email-masked]> wrote:

>>>    the method is repeated to identify the next eligible volunteer..
>>>
>>> I understand what the community is saying about how 4.17 is
>>> interpreted.  But 4.17 states in the first sentence of the second paragraph
>>> that it is talking about the nominating committee.  The nominating
>>> committee is more than just the voting members.  However, following 4.17 to
>>> the letter would have a second Ericsson person as a voting member.  As
>>> stated before the nominating committee is more than voting members, so I
>>> thought it prudent to err toward diversity.  I can understand how section
>>> 4.17 can be seen as applying to only voting members, but the words say
>>> "nominating committee" not "voting members of the nominating committee".
>>>
>>> I'm not the chair this year and I apologize for causing the confusion.
>>> I just wanted to explain my rationale for making the recommendation I did.
>>> I certainly am not trying to change the rules, but provide for the most
>>> fair and diverse committee based on how I interpret the rules.
>>>
>>> >> It’s clear from the procedure that the input is the voting
>>> volunteers, the method is the random selection method, and that the chair’s
>>> test for primary affiliation occurs at this point in the process..
>>> Furthermore, a cornerstone of the process is that the only elements in the
>>> process one cannot determine in advance are the PRNG inputs, and by no
>>> > If RFC7437 is revised to include this, then that effort should
>>> consider the liaisons affiliations as well, not just the current and past
>>> chairs.
>>>

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 9 Jul 2019 16:53:59 +0100

As fas as I can see RFC7437 does not define "Primary Affiliation" which 
seems an unfortunate omission.

In this complex globalized industry, the absence of such a definition, 
can make inclusion or exclusion from the final list arbitrary.

- Stewart

---

From: Joel Halpern <[email-masked]>
Date: Tue, 9 Jul 2019 12:02:48 -0400

The exclusion of a definition for "Primary Affiliation" was deliberate. 
And as far as I can tell it is necessary.  I do not know any definition 
that will crisply catch all the cases.  I am sure we could spend a long 
time wordsmithing something that still did not work.

Yours,
Joel

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 9 Jul 2019 17:21:27 +0100

And yet...

As a consultant, my primary affiliation is my consulting company. Yet there seems to be a feeling that I should disclose (at least to the NomCom chair) a list of my company's major customers, where "major" means more than x% of the company's income stream.

I think that I agree with Stewart that the ambiguity in the definition makes for interpretation issues such that if my company had major dealings with Foo Corp and the selection process identified me and two employees of Foo Corp it would not be clear whether we should all serve or not.

(I have a personal opinion about this, but that is not the point. The point is that there is no obvious guidance in the RFC.)

Best,
Adrian
--
Read some fairy stories for adults of all ages
• Tales from the Wood
• More Tales from the Wood
• Tales from Beyond the Wood
• Tales from the Castle
Get them on line https://www.feedaread.com/profiles/8604/
Or buy a signed copy from me by post
*** Stop me in the corridor at IETF-105 to get a copy ***

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Joel Halpern
Sent: 09 July 2019 17:03
To: Stewart Bryant <[email-masked]>
Cc: IETF <[email-masked]>
Subject: Re: Future adjustment of nomcom company limits (Was: Re: Nomcom 2019-2020: Result of random selection process)

Yours,
Joel

---

From: Joel Halpern Direct <[email-masked]>
Date: Tue, 9 Jul 2019 12:35:58 -0400

I do understand.
The problem is that writing the actual text seems insupportable.

Even if we had written text, I imagine that we could still have had an 
argument this year about whether Futurewei and Huawei are or are not the 
same.  (We got lucky and dodged that question.)

For consultants, there are really two separate issues.  One is the 
question of whether all major clients ought to be disclosed in a 
conflict of interest sense.  The other is when that client becomes 
effectively the Primary affiliation (for example, a consultant with only 
one client has usually been informally considered to be primarily 
affiliated with that client.)  Trying to write a rule (75%?  50%? 10%?) 
is almost meaningless.

Note that we also do not define it for other purposes where we expect 
affiliation disclosure.  (And you both have handled those cases easily.)

To restate.  I do understand that the vagueness creates some issues in 
the nomcom selection process.  My personal take is that while more words 
could narrow that somewhat, we can't resolve it.  And that even 
narrowing it would take a lot of work.  If we want to actually get a new 
document out that gets community resolution on some of the issues, we 
need to be careful.

Yours,
Joel

---

From: Randy Bush <[email-masked]>
Date: Tue, 09 Jul 2019 09:39:02 -0700

[ rathole alert ]

on the subject of affiliation, you may want to look at academic paper
submission conflicts.  a submitter knocks out tpc (technical program
committee) reviwers if they: have worked on a peper or project together
in the last few years, have been affiliated with the same organisation
(no, i did not say "primary"), ...

[ there is an ugly side effect.  if you have been in a field for a
while, and have mature co-authors, conflicts may knock out all the tpc
members who have sufficient clue in your subfield to give a clueful
review. ]

randy

---

From: Stewart Bryant <[email-masked]>
Date: Tue, 9 Jul 2019 17:40:56 +0100

I obviously disagree with Joel on this, and continue to consider that an 
absence of a definition is more problematic than the problem of defining 
one.

One definition might be to set a limit on people with common financial 
or loyalty conflict of interest at an level in their network. That works 
for both the commercial case and the government case (which is not 
really covered by the current implicit definition). It also works for 
the personal case which again is not really covered.

- Stewart

---

From: John C Klensin <[email-masked]>
Date: Tue, 09 Jul 2019 14:08:09 -0400

--On Tuesday, July 9, 2019 10:59 -0400 Phillip Hallam-Baker
<[email-masked]> wrote:

>...
> This thread is demonstrating a key weakness in defining any
> process with security concerns on the basis of random drawing.
> The chance of hitting this particular corner case was really
> small.
> 

Actually, as any competent statistician would tell you, drawing
a random sample from a self-selected pool and then assuming (or
pretending) that the sample is actually representative of a
broader population is quite likely to go astray.  When the
membership of that pool is skewed by criteria and considerations
that determine who self-selects, things go from "quite likely"
to "nearly certain".  Unless you are talking about a completely
different issue than the one I understand to be the issue, the
chances are anything but really small.

What happening in this case is that the Nomcom is perceived as
requiring sufficient time, resource commitment, and effort that
few people are able to volunteer to be in the pool without
organizational support.  The number of organizations willing to
provide that support to a significant number of people is quite
limited and we should thank them for doing so.   Whether they
have concluded that having people on the nomcom is a desirable
service to the community, beneficial to the company, or both is
largely irrelevant to the composition of the pool.  So is
whether they know, in allowing or encouraging people to
volunteer, that their exposure will be limited to a couple of
people and that move volunteers increases the odds that they
will have at least some representation on the nomcom itself.
The net result is that we end up with a pool with many
volunteers from a relatively small number of companies,
typically fairly large one, probably the same companies or
organizations who are willing to support people in roles like
Nomcom chair, and a smattering of people who either come from
smaller organizations, have other sources of support, or who are
willing to make the investments themselves.

When we draw a nomcom at random from that pool, it should be no
surprising to anything that those companies are all represented,
probably up to the limit (of two) rather than just by one
person.   Indeed, anything slse would be a surprise. 

Now, the original 1996 assumption about the nomcom was that it
would be representative of the IETF community.   Given the
random selection process, that assumption's being true requires
that the pool from which that selection is made be reasonably
representative of the community.   Perhaps that was true
twenty-odd years ago.  Today it isn't.  If we are going to open
the more general set of nomcom topics the questions of how we
feel about that and how, if at all, it affects selections
probably belongs on the agenda.

AFAIK, none of the above has anything to do with your
observation about security concerns or procedures.   I'm not
competent to judge whether that statement, in that context, is
accurate or not although I know there are attacks on the
processes for determining randomness themselves.

best,
   john

---

From: Michael Richardson <[email-masked]>
Date: Tue, 09 Jul 2019 14:44:58 -0400

Adrian Farrel <[email-masked]> wrote:
    > As a consultant, my primary affiliation is my consulting company. Yet
    > there seems to be a feeling that I should disclose (at least to the
    > NomCom chair) a list of my company's major customers, where "major"
    > means more than x% of the company's income stream.

I went down this path this time as well.
I decided to disclose 20% relationship nomcom chair.

    > I think that I agree with Stewart that the ambiguity in the definition
    > makes for interpretation issues such that if my company had major
    > dealings with Foo Corp and the selection process identified me and two
    > employees of Foo Corp it would not be clear whether we should all serve
    > or not.

    > (I have a personal opinion about this, but that is not the point. The
    > point is that there is no obvious guidance in the RFC.)

I don't think we can write any hard and fast rules.
I think that we shouldn't try.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 10 Jul 2019 08:43:06 +1200

> would be each time.  So this definitely needs clarification.

Of course, that's common sense. I was specifically objecting to liaisons
having a vote on substantive issues affecting the nomination choices,
which the questionnaires and voting rule clearly do.

On 10-Jul-19 01:37, Scott Mansfield wrote:

...
> So anytime a decision

Well, if that interpretation allows non-voting members to vote on issues
affecting nomination choices, IMHO it's plain wrong. For example, suppose
a NomCom needs to decide whether to use Condorcet voting or simple majority
voting to select nominees, that is surely not a decision where liaisons
should participate.

I agree that this is not clear in RFC7437, because it leaves it open
what issues might need a formal vote, apart from candidate selection.
In my experience as a NomCom liaison, this didn't arise since everything
else went by consensus anyway.

This should probably be on the issues list for RFC7437bisbis.

    Brian

---

From: Adam Roach <[email-masked]>
Date: Tue, 9 Jul 2019 23:25:33 -0500

On 7/9/19 3:43 PM, Brian E Carpenter wrote:
> affecting nomination choices, IMHO it's plain wrong.

If it's any comfort (speaking as IESG liaison to NomCom for last year's 
cycle), non-voting members did not vote on issues such as questionnaire 
contents. We (non-voting members) did offer personal observations to the 
voting members, but it was quite clear that the actual decisions on 
anything directly related to the nomination process resided solely with 
voting members. It wouldn't hurt to make the document clearer, but -- at 
least with a single (albeit time-local) data point -- things don't 
appear to be going off the rails at the moment.

/a

---

From: Mary B <[email-masked]>
Date: Wed, 10 Jul 2019 09:47:24 -0500

IMHO, if the liaisons have comments on nominees, then they should input
those into the tool like everyone else in the community.  In my view, any
involvement in discussions from liaisons should be based on the IESG roles
and responsibilities and not on individual nominees.  There were
incident(s) in the past where an IESG liaison was very involved in
discussions, which is one reason I think why Nomcoms, thereafter, were more
careful.     I also think voting members should also use the tool for input
on individuals.    I personally think it's very important that the process
and decisions are driven by community input along with questionnaire
responses, interviews, etc, as opposed to a popularity contest and whose
friends with who.  I think some Nomcoms have done better than others in
this regard.   I don't think the community input always gets the priority
it should.  That all said, when I was Nomcom chair, the amount of input
from the community was pathetic.  So, this goes back to the community - if
people really care about who ends up in leadership positions, then please
provide input to the Nomcom and nominate people.  Believe it or not, we
have people in this community that might be hesitant to nominate
themselves.

Regards,
Mary.

---

From: Joel Halpern <[email-masked]>
Date: Wed, 10 Jul 2019 20:38:35 -0400

The RFC does not mandate the degree of liaison participation or 
non-participation in the nomcom discussions and other non-voting aspects 
of the process.  From what I have observed and what I have done, 
different chairs have mandated different limits on that participation.

We can, as part of writing a new document, decide to be more explicit.
We should be clear however that for the current nomcom, it is up to the 
nomcom chair.

Yours,
Joel

On 7/10/2019 10:47 AM, Mary B wrote:
> those into the tool like everyone else in the community.  In my view, 
> any involvement in discussions from liaisons should be based on the IESG 
> roles and responsibilities and not on individual nominees.  There were 
> discussions, which is one reason I think why Nomcoms, thereafter, were 
> more careful.     I also think voting members should also use the tool 
> for input on individuals.    I personally think it's very important that 
> the process and decisions are driven by community input along with 
> questionnaire responses, interviews, etc, as opposed to a popularity 
> contest and whose friends with who.  I think some Nomcoms have done 
> better than others in this regard.   I don't think the community input 
> always gets the priority it should.  That all said, when I was Nomcom 
> chair, the amount of input from the community was pathetic.  So, this 
> goes back to the community - if people really care about who ends up in 
> leadership positions, then please provide input to the Nomcom and 
> nominate people.  Believe it or not, we have people in this community 
> that might be hesitant to nominate themselves.
> 
> Regards,
> Mary.
> 
> On Tue, Jul 9, 2019 at 11:26 PM Adam Roach <[email-masked] 
> <mailto:[email-masked]>> wrote:
>